%define dist_name jakarta-servletapi-4
%define cvsdate 20040901
%define api_version 2.3
%define priority 23

Name: jakarta-servletapi4
Version: 4.0.0
Release: alt0.3.%cvsdate

%def_disable debug

Summary:	Java servlet and JSP implementation classes
Group: 		Development/Java
License: 	Apache
Url: 		http://jakarta.apache.org/tomcat

Provides: servletapi = %api_version

Source:		%dist_name-src-%cvsdate.tar.bz2

BuildArch:	noarch

BuildPreReq: rpm-build-java
BuildRequires:	ant j2se-devel

%description
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).

%package javadoc
Group: 			Development/Java
Summary: 		Javadoc for Servlet and JSP APIs

%description javadoc
Javadoc generated documentation for Java Servlet and JSP APIs.

%prep
%setup -q -n %dist_name

%build
ant \
%if_enabled debug
    -Dcompile.optimize=false \
%else
    -Dcompile.debug=false \
%endif
dist

%install
# jars
mkdir -p $RPM_BUILD_ROOT%_javadir
install -m 644 dist/lib/servlet.jar $RPM_BUILD_ROOT%_javadir/%name.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%_javadocdir/%name
cp -pr build/docs/api/* $RPM_BUILD_ROOT%_javadocdir/%name

# alternative for servletapi JAR
mkdir -p $RPM_BUILD_ROOT%_altdir
cat <<EOF >$RPM_BUILD_ROOT%_altdir/%name
%_javadir/servletapi.jar	%_javadir/%name.jar	%priority
EOF

%post
%register_alternatives %name

%preun
%unregister_alternatives %name

%files
%doc LICENSE README.txt
%_javadir/*
%_altdir/%name

%files javadoc
%_javadocdir/%name

%changelog
* Sun Dec 19 2004 Mikhail Zabaluev <mhz@altlinux.ru> 4.0.0-alt0.3.20040901
- Renamed to jakarta-servletapi4
- Updated to the last CVS change
- Switched to the new alternatives format
- Use macros from rpm-build-java

* Sun Jul 04 2004 Mikhail Zabaluev <mhz@altlinux.ru> 4.0.0-alt0.2.20040703
- Updated to the last nightly build
- Introduced an alternative to manage servletapi.jar symlink

* Sat Jun 12 2004 Mikhail Zabaluev <mhz@altlinux.ru> 4.0.0-alt0.1.20040611
- Ported to Sisyphus from JPackage
- Package from Alexey Borovskoy used as well
